aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndy Postnikov <apostnikov@gmail.com>2021-11-05 08:34:19 +0200
committerAndy Postnikov <apostnikov@gmail.com>2021-11-18 21:35:12 +0000
commit47eeca2e926d46c175b49a7ef3d82f23b460fe49 (patch)
tree7b5290d67667e09b235ee9a7e3ef63a37a40916b
parent00d3a12244816b76379e00effd5eeac9e14b3b02 (diff)
downloadaports-47eeca2e926d46c175b49a7ef3d82f23b460fe49.tar.gz
aports-47eeca2e926d46c175b49a7ef3d82f23b460fe49.tar.bz2
aports-47eeca2e926d46c175b49a7ef3d82f23b460fe49.tar.xz
community/php7: security upgrade to 7.4.26 - CVE-2021-21707
-rw-r--r--community/php7/APKBUILD8
1 files changed, 5 insertions, 3 deletions
diff --git a/community/php7/APKBUILD b/community/php7/APKBUILD
index b4532e28ad..71d12de749 100644
--- a/community/php7/APKBUILD
+++ b/community/php7/APKBUILD
@@ -25,8 +25,8 @@
pkgname=php7
_pkgreal=php
-pkgver=7.4.25
-pkgrel=1
+pkgver=7.4.26
+pkgrel=0
_apiver=20190902
_suffix=${pkgname#php}
# Is this package the default (latest) PHP version?
@@ -177,6 +177,8 @@ subpackages="$subpackages $pkgname-common::noarch"
[ "$CARCH" != "riscv64" ] && subpackages="$subpackages $pkgname-litespeed"
# secfixes:
+# 7.4.26-r0:
+# - CVE-2021-21707
# 7.4.25-r0:
# - CVE-2021-21703
# 7.4.24-r0:
@@ -683,7 +685,7 @@ _mv() {
}
sha512sums="
-7fcb236f6d2a92514059b2e107c2b592e6139e3c65046566ae98fb9d2c09eb3e9ca1a41ea6535fc814bc7127d8fd9f8bb5a80bd86eec32120eb150a34b9b5c34 php-7.4.25.tar.xz
+36cd493c9c95aabb1ee47e82cb0c20b2be99fe7ebd98743355139064590d0b9a1746d71e31dd47f164df34ebe3f8366a75f3efc149262e1391b43d83d3045c6e php-7.4.26.tar.xz
1c708de82d1086f272f484faf6cf6d087af7c31750cc2550b0b94ed723961b363f28a947b015b2dfc0765caea185a75f5d2c2f2b099c948b65c290924f606e4f php7-fpm.initd
cacce7bf789467ff40647b7319e3760c6c587218720538516e8d400baa75651f72165c4e28056cd0c1dc89efecb4d00d0d7823bed80b29136262c825ce816691 php7-fpm.logrotate
274bd7b0b2b7002fa84c779640af37b59258bb37b05cb7dd5c89452977d71807f628d91b523b5039608376d1f760f3425d165242ca75ee5129b2730e71c4e198 php7-module.conf